root.scheme {xps} | R Documentation

## Create class SchemeTreeSet accessing ROOT scheme file

### Description

Create class SchemeTreeSet accessing ROOT scheme file.

### Usage

    root.scheme(rootfile = character(0), add.mask = FALSE)

### Arguments

`rootfile` | name of ROOT scheme file, including full path.
`add.mask` | if `TRUE` mask information will be included as slot `mask`.

### Details

An S4 class `SchemeTreeSet` will be created, serving as R wrapper to the `ROOT` scheme file `rootfile`.

### Value

A `SchemeTreeSet` object.

### Note

Use this function to access the `ROOT` scheme file from new R sessions to avoid creating a new `ROOT` scheme file for every R session.

Do not set `add.mask=TRUE` for exon arrays unless you know that your computer has sufficient RAM.

### Author(s)

Christian Stratowa

### See Also

`import.expr.scheme`, `import.exon.scheme`, `SchemeTreeSet`

### Examples

    ## create class SchemeSet to access the ROOT scheme file for the Test3 GeneChip
    scheme.test3 <- root.scheme(paste(.path.package("xps"),"schemes/SchemeTest3.root",sep="/"))
    str(scheme.test3)

    ## Not run:
    ## scheme set for existing human root exon scheme file
    scheme.huex10stv2r2.na22 <- root.scheme("/my/path/schemes/Scheme_HuEx10stv2r2_na22.root")
    ## End(Not run)

[Package xps version 1.2.10 Index]